Are you an LLM? Read llms.txt for a summary of the docs, or llms-full.txt for the full context.
Skip to content

approvedAgents

POST/infotype approvedAgents

List the agent keys an account has approved (e.g. an API-key management page).

Request body
typestringrequired
userstringrequired
Request example
curl -X POST https://rpc.txflow-testnet.xyz/info \
  -H "Content-Type: application/json" \
  -H "x-api-version: 2026-08-16" \
  -d '{
  "type": "approvedAgents",
  "user": "0x0000000000000000000000000000000000000000"
}'
Try it
POST https://rpc.txflow-testnet.xyz/info
Response · ApprovedAgentsResponse 200
codeinteger

`0` on success.

dataApprovedAgentsResponse
agentsApprovedAgent[]
userstring
successboolean

`false` on error, with `code` set and the text in `message` instead of `data`.

Response example
{
  "success": true,
  "code": 0,
  "data": {
    "agents": [
      {
        "agentAddress": "0x0000000000000000000000000000000000000000",
        "agentName": ""
      }
    ],
    "user": "0x0000000000000000000000000000000000000000"
  }
}